#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: test-framework
version: 0.8.1.1
id: test-framework-0.8.1.1-9dzH6a6E7F67ZphKtd5my3
key: test-framework-0.8.1.1-9dzH6a6E7F67ZphKtd5my3
license: BSD3
maintainer: Libraries List <libraries@haskell.org>
homepage: https://batterseapower.github.io/test-framework/
synopsis: Framework for running and organising tests, with HUnit and QuickCheck support
description:
    Allows tests such as QuickCheck properties and HUnit test cases to be assembled into test groups, run in
    parallel (but reported in deterministic order, to aid diff interpretation) and filtered and controlled by
    command line options. All of this comes with colored test output, progress reporting and test statistics output.
category: Testing
author: Max Bolingbroke <batterseapower@hotmail.com>
exposed: True
indefinite: False
exposed-modules:
    Test.Framework Test.Framework.Options Test.Framework.Providers.API
    Test.Framework.Runners.API Test.Framework.Runners.Console
    Test.Framework.Runners.Options Test.Framework.Runners.TestPattern
    Test.Framework.Seed
hidden-modules: Test.Framework.Core Test.Framework.Improving
                Test.Framework.Runners.Console.Colors
                Test.Framework.Runners.Console.ProgressBar
                Test.Framework.Runners.Console.Run
                Test.Framework.Runners.Console.Statistics
                Test.Framework.Runners.Console.Table
                Test.Framework.Runners.Console.Utilities
                Test.Framework.Runners.Core Test.Framework.Runners.Processors
                Test.Framework.Runners.Statistics Test.Framework.Runners.ThreadPool
                Test.Framework.Runners.TimedConsumption
                Test.Framework.Runners.XML.JUnitWriter Test.Framework.Runners.XML
                Test.Framework.Utilities
abi: b21ee39f7d0e2a2c7f65c898c2ce1c6a
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/test-framework-0.8.1.1
library-dirs: /usr/lib/ghc-8.2.1/site-local/test-framework-0.8.1.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/test-framework-0.8.1.1
hs-libraries: HStest-framework-0.8.1.1-9dzH6a6E7F67ZphKtd5my3
depends:
    ansi-terminal-0.6.3.1-BIEgiaci8VQ7yyITu4jhfU
    ansi-wl-pprint-0.6.8.1-80vSxm39oopFZHdKk9kEEk base-4.10.0.0
    containers-0.5.10.2 hostname-1.0-ITdZPWe9XL7105h6B80pVP
    old-locale-1.0.0.7-1sqf81TERjR1yVX7sI2OtM
    random-1.1-DtLcP2Z2iOOC0RwcSmXjBK
    regex-posix-0.95.2-HVttGk95ni2HoNbiB2TZaS time-1.8.0.2
    xml-1.3.14-5OPJvPT6yGP6QU1NbG18WH
abi-depends: ansi-terminal-0.6.3.1-BIEgiaci8VQ7yyITu4jhfU=7e36eeff4c9b354fba1911369e31a77f
             ansi-wl-pprint-0.6.8.1-80vSxm39oopFZHdKk9kEEk=4ede995ab9d7732b35861222dcc02e54
             base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             containers-0.5.10.2=dd4e66fa9ac268f47a15786f1100b042
             hostname-1.0-ITdZPWe9XL7105h6B80pVP=9094cd2097c7fcd872b29f129bfc4128
             old-locale-1.0.0.7-1sqf81TERjR1yVX7sI2OtM=8abc34d96a58625e2975ccc02aacab97
             random-1.1-DtLcP2Z2iOOC0RwcSmXjBK=5faba54ff6ceaac5cbd433f5aeb4a970
             regex-posix-0.95.2-HVttGk95ni2HoNbiB2TZaS=41ac4f6614ed2396891ba99277313a63
             time-1.8.0.2=e9c7416c5b79f57513fe11898c3d9f95
             xml-1.3.14-5OPJvPT6yGP6QU1NbG18WH=a8f0b1b3a010636b7b66a37d73e0b2ed
haddock-interfaces: /usr/share/doc/haskell-test-framework/html/test-framework.haddock
haddock-html: /usr/share/doc/haskell-test-framework/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

